/***************************************************************************
 *   Copyright (C) 2005 by Sebastian Beck                                  *
 *   bastl@server                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#define	F_SCHRUP 				01				/*Schrup-Frser*/
#define	F_SCHLICHT 			02				/*Frser fr Schlichtarbeiten*/
#define	F_FORM					04				/*Formfrser / 3D-Frser*/
#define	F_FEIN						010			/*Frser mit geringem Durchmesser oder sehr prziser Ausfrung*/
#define	F_WINKEL					020			/*Fasenfrser oder Senker oder Schwalbenfrser*/
#define	F_VIERTELRUND		040			/*Kanten runden*/
#define	F_MODUL					0100			/*Modulfrserr*/
#define	F_BOHRER				0200			/*Bohrer*/
#define	F_GEWINDE				0400			/*Gewindefrser*/
#define	F_SEITL_OBEN			01000		/*Schneidet seitlich nur oben (unten ist ein Hinterniss: Flachsenker)*/
#define	F_SEITL					02000		/*Schneidet seitlich nur unten (normaler Frser)*/
#define	F_UNTEN_AUSSEN	04000		/*Schneidet nach unten nur aussen*/
#define	F_UNTEN_MITTE		010000		/*Schneidet nach unten auch in der Mitte (Bohrer, Schneide ber Mitte, nicht Flachsenker)*/
#define	F_NACH_UNTEN		020000		/*Schneiden knnen nach unten arbeiten*/
#define	F_NACH_SEITL			040000		/*Schneiden knnen seitlich arbeiten*/
#define	F_NACH_OBEN			0100000	/*Schneiden knnen nach oben arbeiten*/


#define	W_TASCHE				072000
#define	W_FLAECHE				060000
#define	W_BOHRER				030200
#define	W_SENKER				065000
#define	W_FASER					065020
#define	W_KEILNUT			0166020
#define	W_DEFAULT				072013


#define	bit0		1
#define	bit1		2
#define	bit2		4
#define	bit3		8
#define	bit4		16
#define	bit5		32
#define	bit6		64
#define	bit7		128




